## org.apache.mahout.common.nlp
Class NGrams

    java.lang.Object
      org.apache.mahout.common.nlp.NGrams

    public class NGrams

extends java.lang.Object

Constructor Summary
`NGrams(java.lang.String line, int gramSize)`

Method Summary
`java.util.Map<java.lang.String,java.util.List<java.lang.String>>` `generateNGrams()`
`java.util.List<java.lang.String>` `generateNGramsWithoutLabel()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NGrams

    public NGrams(java.lang.String line,
                  int gramSize)

Method Detail

### generateNGrams

    public java.util.Map<java.lang.String,java.util.List<java.lang.String>> generateNGrams()

### generateNGramsWithoutLabel

    public java.util.List<java.lang.String> generateNGramsWithoutLabel()

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.